NAME = "Kisa"
DESCRIPTION = "Kisa -- live spellchecker!"
VERSION = 0.63
AUTHOR = "Pete Black"
EMAIL = "theblackpeter@gmail.com"
LICENSE = "GPL"

TEMPLATE = subdirs

CONFIG *= warn_on \
          qt \
          thread \
          ordered \
          debug_and_release

SUBDIRS += src/lib \
           src

DESTDIR = ./

MAKEFILE = makefile

# these makefile target rules will give the option to build the debug and
# release from the top level folder (need Qt 4.3.2 or higher for this)
release_install.target = release-install
release_install.commands = $$escape_expand("cd src/lib/ && $(MAKE) release-install\n\tcd src/ && $(MAKE) release-install")
release_install.depends = "src/lib\/$(MAKEFILE) src\/$(MAKEFILE)"

debug_install.target = debug-install
debug_install.commands = $$escape_expand("cd src/lib/ && $(MAKE) debug-install\n\tcd src/ && $(MAKE) debug-install")
debug_install.depends = "src/lib\/$(MAKEFILE) src\/$(MAKEFILE)"

QMAKE_EXTRA_TARGETS += release_install \
                       debug_install

# cheap hack to set a default value for INSTALL_ROOT in the generated makefiles

isEmpty(INSTALL_ROOT) {
  INSTALL_ROOT = /usr/local
}

INSTALL_ROOT = $$replace(INSTALL_ROOT, "/", "\/")

isEmpty(QMAKE) {
  QMAKE = $$[QMAKE]
  isEmpty(QMAKE) {
	QMAKE = qmake
  }
}

system("cd src/; $$QMAKE LINGUAS=\"$$LINGUAS\" src.pro")
system("cd src/lib/; $$QMAKE lib.pro")
CMD = "find -iname '$$MAKEFILE*' | xargs sed -i 's/INSTALL_PROGRAM.*=.*/&\nINSTALL_ROOT  = $$INSTALL_ROOT/'"
system($$CMD)
