/**
 * @file
 * Holds the @c main function.
 *
 * Kisa provides spell checking as you type and displays the result in a small
 * window on your Desktop.
 *
 * Copyright (c) 2009 by Pete Black <theblackpeter@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * @author Pete Black <theblackpeter@gmail.com>
 */

#include "kisa.h"

#include <QTranslator>
#include <QtDebug>


/**
 * Creates the Kisa application instance and starts the main event loop.
 *
 * @param argc the number of command line arguments
 * @param argv the command line arguments
 * @return exit code, 0 if application exited successfully, not 0 otherwise
 */
int main(int argc, char *argv[]) {
  Kisa kisa(argc, argv);

  return kisa.exec();
}
